function [sphere]=geometry_2(r, N)
% % define sensors in the horizontal plane
% theta=deg2rad(0:delta:360-delta).';
% % phi=0;
% % horizontal=[cos(phi)*sin(theta), cos(theta),sin(phi)*sin(theta)];
% M=length(theta);
% phi=deg2rad(-90+delta:delta:90-delta);
% no=(floor(M*cos(phi)));
% tot=sum(no);
% theta_delta= 2*pi./(no);
% %%
% theta_mat=zeros(1,tot);
% phi_mat=zeros(1,tot);
% count=1;
% for i1=1:length(phi)
%     theta_mat(1,count:count+no(i1)-1)=(0:theta_delta(i1):2*pi-theta_delta(i1));
%     phi_mat(1,count:count+no(i1)-1)=repmat(phi(i1), 1, no(i1));
%     count=count+no(i1);
% end
% [x,y,z]=sph2cart(theta_mat, phi_mat, repmat(r,1,tot)); % [cos(phi_mat).*sin(theta_mat); cos(theta_mat); sin(phi_mat).*sin(theta_mat)].';
% sphere=[x.', y.', z.'];
% sphere=[sphere; 0, 0 ,r; 0, 0 ,-r];

%%
a=(4*pi)/N; % unit area
d=sqrt(a); % basic separation
M_theta=round(pi/d);
d_theta=pi/M_theta;
d_phi=a/d_theta;
%%
clear('x','y','z')
N_count=1;
for m=0:M_theta-1
    theta=pi*(m+0.5)/M_theta;
    M_phi=round(2*pi*sin(theta)/d_phi);
    for n=0:M_phi-1
        phi=2*pi*n/M_phi;
        x(N_count)=r*sin(theta)*cos(phi);
        y(N_count)=r*sin(theta)*sin(phi);
        z(N_count)=r*cos(theta);
        N_count=N_count+1;
    end
end
%
sphere=[x.', y.', z.'];